module Oneds
  module Mrproper
    module Errors
      module One
        autoload :StubError, 'oneds/mrproper/errors/one/stub_error'
        autoload :AuthenticationError, 'oneds/mrproper/errors/one/authentication_error'
        autoload :ResourceNotFoundError, 'oneds/mrproper/errors/one/resource_not_found_error'
        autoload :ResourceRetrievalError, 'oneds/mrproper/errors/one/resource_retrieval_error'
        autoload :ResourceStateError, 'oneds/mrproper/errors/one/resource_state_error'
        autoload :UserNotAuthorizedError, 'oneds/mrproper/errors/one/user_not_authorized_error'
      end
    end
  end
end
