module Oneds
  module Mrproper
    module One
      module Managers
        class Manager
          attr_reader :client, :pool

          def initialize(client)
            @client = client
          end

          def reload!
            return unless pool

            if pool.respond_to?('info_all!')
              Oneds::Mrproper::One::Helper.handle_opennebula_error { pool.info_all! }
              return
            end

            Oneds::Mrproper::One::Helper.handle_opennebula_error { pool.info! }
          end
        end
      end
    end
  end
end
